import { RDateService } from './date.service';
export declare class RCalendarTimeModelService<D> {
    protected dateService: RDateService<D>;
    readonly MINUTES_AND_SECONDS = 60;
    constructor(dateService: RDateService<D>);
    getHoursRange(step?: number): D[];
    getResetTime(): D;
    paddToTwoSymbols(n: number): string;
    buildDateFormat(twelveHoursFormat: boolean, withSeconds?: boolean): string;
}
